<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CS 250 Data Structures: Program/Program.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CS 250 Data Structures
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_dd9648d51d0cc76533772683c862213b.html">Program</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Program.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="Program_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef _PROGRAM</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define _PROGRAM</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160; </div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="Product_8h.html">Product.h</a>&quot;</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160; </div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;../DataStructure/SmartDynamicArray/SmartDynamicArray.h&quot;</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">//#include &lt;vector&gt; // temporary</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160; </div>
<div class="line"><a name="l00010"></a><span class="lineno"><a class="line" href="classProgram.html">   10</a></span>&#160;<span class="keyword">class </span><a class="code" href="classProgram.html">Program</a></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;{</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classProgram.html#ab73390c4cc140df2fb4bbedb245352f9">Run</a>();</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classProgram.html#a1515a652ea2dd615d323b46cbf9237fc">SetDataPath</a>(std::string path);</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160; </div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classProgram.html#a40719603801e621d491f1be64ab3c7ff">Setup</a>();</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classProgram.html#a79a7d055c7dfbead07a3ff95bcb46cc6">Cleanup</a>();</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160; </div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classProgram.html#ae9d293701cfb3ae0121a0f6839df31a5">Menu_Main</a>();</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classProgram.html#a15f4909eff55e10225b0e097b4186e70">Menu_AddProduct</a>();</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classProgram.html#ada396deda390ed7a4b4fa6951ff38664">Menu_EditProduct</a>();</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classProgram.html#ae0ffe374a6819e5ecaaf3bb864903245">Menu_DeleteProduct</a>();</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classProgram.html#a5aa337efcc439262563ca7f4673fbea3">DisplayProducts</a>(<span class="keyword">const</span> std::vector&lt;Product&gt;&amp; productList); <span class="comment">// TODO: Replace with void DisplayProducts(const DataStructure::SmartDynamicArray&lt;Product&gt;&amp; productList);</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div>
<div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="classProgram.html#aa437d091a6712ff89a542dcd44986885">   27</a></span>&#160;    std::vector&lt;Product&gt; <a class="code" href="classProgram.html#aa437d091a6712ff89a542dcd44986885">m_products</a>; <span class="comment">// TODO: Replace with DataStructure::SmartDynamicArray&lt;Product&gt;</span></div>
<div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="classProgram.html#a6a432066d483b07fd214d68c43a1d514">   28</a></span>&#160;    std::string <a class="code" href="classProgram.html#a6a432066d483b07fd214d68c43a1d514">m_dataPath</a>;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;};</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#endif</span></div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aclassProgram_html_a5aa337efcc439262563ca7f4673fbea3"><div class="ttname"><a href="classProgram.html#a5aa337efcc439262563ca7f4673fbea3">Program::DisplayProducts</a></div><div class="ttdeci">void DisplayProducts(const std::vector&lt; Product &gt; &amp;productList)</div><div class="ttdef"><b>Definition:</b> Program.cpp:194</div></div>
<div class="ttc" id="aclassProgram_html_ada396deda390ed7a4b4fa6951ff38664"><div class="ttname"><a href="classProgram.html#ada396deda390ed7a4b4fa6951ff38664">Program::Menu_EditProduct</a></div><div class="ttdeci">void Menu_EditProduct()</div><div class="ttdef"><b>Definition:</b> Program.cpp:126</div></div>
<div class="ttc" id="aclassProgram_html_ae9d293701cfb3ae0121a0f6839df31a5"><div class="ttname"><a href="classProgram.html#ae9d293701cfb3ae0121a0f6839df31a5">Program::Menu_Main</a></div><div class="ttdeci">void Menu_Main()</div><div class="ttdef"><b>Definition:</b> Program.cpp:63</div></div>
<div class="ttc" id="aclassProgram_html_a79a7d055c7dfbead07a3ff95bcb46cc6"><div class="ttname"><a href="classProgram.html#a79a7d055c7dfbead07a3ff95bcb46cc6">Program::Cleanup</a></div><div class="ttdeci">void Cleanup()</div><div class="ttdef"><b>Definition:</b> Program.cpp:42</div></div>
<div class="ttc" id="aProduct_8h_html"><div class="ttname"><a href="Product_8h.html">Product.h</a></div></div>
<div class="ttc" id="aclassProgram_html_ae0ffe374a6819e5ecaaf3bb864903245"><div class="ttname"><a href="classProgram.html#ae0ffe374a6819e5ecaaf3bb864903245">Program::Menu_DeleteProduct</a></div><div class="ttdeci">void Menu_DeleteProduct()</div><div class="ttdef"><b>Definition:</b> Program.cpp:178</div></div>
<div class="ttc" id="aclassProgram_html_a40719603801e621d491f1be64ab3c7ff"><div class="ttname"><a href="classProgram.html#a40719603801e621d491f1be64ab3c7ff">Program::Setup</a></div><div class="ttdeci">void Setup()</div><div class="ttdef"><b>Definition:</b> Program.cpp:15</div></div>
<div class="ttc" id="aclassProgram_html_a1515a652ea2dd615d323b46cbf9237fc"><div class="ttname"><a href="classProgram.html#a1515a652ea2dd615d323b46cbf9237fc">Program::SetDataPath</a></div><div class="ttdeci">void SetDataPath(std::string path)</div><div class="ttdef"><b>Definition:</b> Program.cpp:9</div></div>
<div class="ttc" id="aclassProgram_html_ab73390c4cc140df2fb4bbedb245352f9"><div class="ttname"><a href="classProgram.html#ab73390c4cc140df2fb4bbedb245352f9">Program::Run</a></div><div class="ttdeci">void Run()</div><div class="ttdef"><b>Definition:</b> Program.cpp:56</div></div>
<div class="ttc" id="aclassProgram_html"><div class="ttname"><a href="classProgram.html">Program</a></div><div class="ttdef"><b>Definition:</b> Program.h:10</div></div>
<div class="ttc" id="aclassProgram_html_aa437d091a6712ff89a542dcd44986885"><div class="ttname"><a href="classProgram.html#aa437d091a6712ff89a542dcd44986885">Program::m_products</a></div><div class="ttdeci">std::vector&lt; Product &gt; m_products</div><div class="ttdef"><b>Definition:</b> Program.h:27</div></div>
<div class="ttc" id="aclassProgram_html_a15f4909eff55e10225b0e097b4186e70"><div class="ttname"><a href="classProgram.html#a15f4909eff55e10225b0e097b4186e70">Program::Menu_AddProduct</a></div><div class="ttdeci">void Menu_AddProduct()</div><div class="ttdef"><b>Definition:</b> Program.cpp:101</div></div>
<div class="ttc" id="aclassProgram_html_a6a432066d483b07fd214d68c43a1d514"><div class="ttname"><a href="classProgram.html#a6a432066d483b07fd214d68c43a1d514">Program::m_dataPath</a></div><div class="ttdeci">std::string m_dataPath</div><div class="ttdef"><b>Definition:</b> Program.h:28</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
